Branch: master

eed96d44 2014-10-18 08:40:49 François Andriot
RPM Packaging: update R14 packages
M redhat/build/build_rpm_package.sh
M redhat/tdebase/tdebase-14.0.0.spec
M redhat/tdelibs/tdelibs-14.0.0.spec
M redhat/tdemultimedia/tdemultimedia-14.0.0.spec
M redhat/tdewebdev/tdewebdev-14.0.0.spec
diff --git a/redhat/build/build_rpm_package.sh b/redhat/build/build_rpm_package.sh
index 9aae43d..0e26711 100755
--- a/redhat/build/build_rpm_package.sh
+++ b/redhat/build/build_rpm_package.sh
@@ -21,20 +21,27 @@
 TEMPDIR="$(mktemp -d)"
 cp -f ${SPECFILE} ${SOURCES} ${TARBALL} "${TEMPDIR}"
 
-# Check if there are patches
+# Check if there are local patches
 PATCHDIR="${SPECFILE%/*}/patches/${TDE_VERSION}"
 PATCHLIST="${PATCHDIR}/patches"
 if [ -r "${PATCHLIST}" ]; then
   while read l; do
+    APPLY=""
     case "${l}" in
       ""|"#"*);;
-      *)
-        if [ -r "${PATCHDIR}/${l}" ]; then
-          echo "Applying patch '${l}'..."
-          cat "${PATCHDIR}/${l}" >>"${TEMPDIR}/one.patch"
-        fi
-      ;;
+     "*opensuse*") [ -r /etc/SuSE-release ] && APPLY=1;;
+     *) APPLY=1;;
     esac
+    
+    if [ "${APPLY}" ]; then
+      if [ -r "${PATCHDIR}/${l}" ]; then
+        echo "Applying patch '${l}'..."
+        cat "${PATCHDIR}/${l}" >>"${TEMPDIR}/one.patch"
+      else
+        echo "ERROR: invalid patch '${l}' !!"
+        exit 3
+      fi
+    fi
   done < "${PATCHLIST}"
 fi
 
@@ -62,9 +69,12 @@
   --define "tde_version ${TDE_VERSION}" \
   --define "tde_prefix /opt/trinity" \
   --define "preversion ${PREVERSION:-}" \
+  --define "with_akode 1" \
   --define "with_jack 1" \
+  --define "with_lame 1" \
+  --define "with_mad 1" \
+  --define "with_mpeg 1" \
   --define "with_xscreensaver 1" \
-  ${ARGS} \
   "${TEMPDIR}/${SPECFILE##*/}"
 RET=$?
 
diff --git a/redhat/tdebase/tdebase-14.0.0.spec b/redhat/tdebase/tdebase-14.0.0.spec
index fb45a4e..b5cb67f 100644
--- a/redhat/tdebase/tdebase-14.0.0.spec
+++ b/redhat/tdebase/tdebase-14.0.0.spec
@@ -113,7 +113,7 @@
 PreReq: permissions
 %endif
 
-%if 0%{?opensuse_bs}
+%if 0%{?opensuse_bs} && %{?suse_version}
 # for xdg-menu script
 BuildRequires:	brp-check-trinity
 %endif
@@ -1336,7 +1336,7 @@
 %endif
 
 # SUSE's runupdater utility
-%if 0%{?suse_version} && 0%{?opensuse_bs} == 0
+%if 0%{?opensuse_bs} == 0
 %{tde_bindir}/runupdater
 %{tde_libdir}/libtdeinit_runupdater.la
 %{tde_libdir}/libtdeinit_runupdater.so
diff --git a/redhat/tdelibs/tdelibs-14.0.0.spec b/redhat/tdelibs/tdelibs-14.0.0.spec
index 9ed038a..e1afded 100644
--- a/redhat/tdelibs/tdelibs-14.0.0.spec
+++ b/redhat/tdelibs/tdelibs-14.0.0.spec
@@ -95,7 +95,7 @@
 BuildRequires:	update-desktop-files
 %endif
 
-%if 0%{?opensuse_bs}
+%if 0%{?opensuse_bs} && %{?suse_version}
 # for xdg-menu script
 BuildRequires:	brp-check-trinity
 %endif
diff --git a/redhat/tdemultimedia/tdemultimedia-14.0.0.spec b/redhat/tdemultimedia/tdemultimedia-14.0.0.spec
index 1f4e448..ff94586 100644
--- a/redhat/tdemultimedia/tdemultimedia-14.0.0.spec
+++ b/redhat/tdemultimedia/tdemultimedia-14.0.0.spec
@@ -84,7 +84,7 @@
 BuildRequires:	update-desktop-files
 %endif
 
-%if 0%{?opensuse_bs}
+%if 0%{?opensuse_bs} && %{?suse_version}
 # for xdg-menu script
 BuildRequires:	brp-check-trinity
 %endif
diff --git a/redhat/tdewebdev/tdewebdev-14.0.0.spec b/redhat/tdewebdev/tdewebdev-14.0.0.spec
index 8fe5ccc..fd6065d 100644
--- a/redhat/tdewebdev/tdewebdev-14.0.0.spec
+++ b/redhat/tdewebdev/tdewebdev-14.0.0.spec
@@ -432,11 +432,11 @@
 %{tde_tdedocdir}/HTML/en/xsldbg/
 %{tde_datadir}/icons/hicolor/*/actions/1downarrow.png
 %{tde_datadir}/icons/hicolor/*/actions/configure.png
-#%{tde_datadir}/icons/hicolor/*/actions/system-log-out.png
+%{tde_datadir}/icons/hicolor/*/actions/system/log-out.png
+%{tde_datadir}/icons/hicolor/*/actions/system/run.png
 %{tde_datadir}/icons/hicolor/*/actions/hash.png
 %{tde_datadir}/icons/hicolor/*/actions/mark.png
 %{tde_datadir}/icons/hicolor/*/actions/next.png
-#%{tde_datadir}/icons/hicolor/*/actions/system-run.png
 %{tde_datadir}/icons/hicolor/*/actions/step.png
 %{tde_datadir}/icons/hicolor/*/actions/xsldbg_*.png
 %{tde_datadir}/icons/hicolor/*/apps/kxsldbg.png